{
  "name": "service-consumer-stream-trades-gdax",
  "version": "1.0.0",
  "description": "Gdax trades stream consumer service",
  "author": "Cryptex Labs",
  "license": "MIT",
  "scripts": {
    "build": "tsc",
    "format": "prettier --write \"src/**/*.ts\"",
    "start": "ts-node -r tsconfig-paths/register src/stream.ts",
    "start:dev": "nodemon",
    "start:debug": "nodemon --config nodemon-debug.json",
    "prestart:prod": "rimraf dist && tsc",
    "start:prod": "node dist/stream.js",
    "lint": "tslint -p tsconfig.json -c tslint.json",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@cryptex-labs/common": "https://gitlab.com/cryptexlabs/public/library/common.git",
    "@cryptex-labs/common-candle": "https://gitlab.com/cryptexlabs/public/library/common-candle.git",
    "@cryptex-labs/message": "https://gitlab.com/cryptexlabs/public/library/message.git",
    "@cryptex-labs/nestjs-sdk": "https://gitlab.com/cryptexlabs/public/library/nestjs-sdk.git",
    "@nestjs/common": "^5.4.0",
    "@nestjs/core": "^5.4.0",
    "@types/node": "^10.7.1",
    "js-yaml": "^3.12.1",
    "redis": "^2.8.0",
    "reflect-metadata": "^0.1.12",
    "rimraf": "^2.6.2",
    "rxjs": "^6.2.2",
    "typescript": "^3.0.1"
  },
  "devDependencies": {
    "@nestjs/testing": "^5.1.0",
    "@types/express": "^4.16.0",
    "@types/jest": "^23.3.1",
    "@types/js-yaml": "^3.12.0",
    "@types/redis": "^2.8.10",
    "@types/supertest": "^2.0.5",
    "jest": "^23.5.0",
    "nodemon": "^1.18.3",
    "prettier": "^1.14.2",
    "supertest": "^3.1.0",
    "ts-jest": "^23.1.3",
    "ts-loader": "^4.4.2",
    "ts-node": "^7.0.1",
    "tsconfig-paths": "^3.5.0",
    "tslint": "5.11.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
